# Generated from pgm_knuck-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pgm_knuck

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A text-based party game
License: MIT
URL: http://barefootford.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
This game will eat your heart out and make you want to play it again and
again. With limitless options decoupled with excellent code, you are going to
want to take this baby to the bank as a template for the next World's Greatest
Game. Change game options inside studio_game.rb. Poke around. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/studio_game
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.0-1
- Initial package
